Author Topic: Need help to combine two different routines into one program  (Read 1642 times)

0 Members and 1 Guest are viewing this topic.

danglar

  • Newt
  • Posts: 161
  • Read My Li(s)(p)
Need help to combine two different routines into one program
« on: March 13, 2016, 03:13:53 AM »
I tried to combine two different routines into one program.
First routine align selected set of objects ( blocks and texts) along one X/Y/Z axis of a reference point and second one can rotate selected set of objects to
0 angle (see attached lisp)
I use a same set of objects for these routines and don't wont' to select objects twice..
I tried to use (ssget "L") function for second routine but something goes wrong..
Another question:
Is it possible to set different rotation angle for preselected set of entities by user prompt?
Any help will be very appreciated.

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: Need help to combine two different routines into one program
« Reply #1 on: March 13, 2016, 05:49:53 AM »
Try using (ssget "P"). See here.

danglar

  • Newt
  • Posts: 161
  • Read My Li(s)(p)
Re: Need help to combine two different routines into one program
« Reply #2 on: March 13, 2016, 09:17:55 AM »
Thank you Roy_043.
Where I can put it?
I tried here:
(ssget "_:L" '((0 . "INSERT,MTEXT,MULTILEADER,TEXT")
and even here:
(setq ss (vla-get-activeselectionset *AcadDoc*)
but it's not help to me..

danglar

  • Newt
  • Posts: 161
  • Read My Li(s)(p)
Re: Need help to combine two different routines into one program
« Reply #3 on: March 13, 2016, 09:30:33 AM »
.. sorry I find my mistake:
 need to be:
(ssget "P" '((0 . "INSERT,MTEXT,MULTILEADER,TEXT")
thank you Roy!